Loading...
Searching...
No Matches
ForceFields::MMFF::MMFFPBCICollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFPBCI * | operator() (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFPBCICollection (std::string mmffPBCI="")

## Public Attributes

std::vector< MMFFPBCI > | d_params
| the parameter vector

## Detailed Description

Definition at line 220 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFPBCICollection()

ForceFields::MMFF::MMFFPBCICollection::MMFFPBCICollection | ( | std::string | mmffPBCI = `""` | ) |

## Member Function Documentation

## operator()()

const MMFFPBCI * ForceFields::MMFF::MMFFPBCICollection::operator() | ( | const unsigned int | atomType | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFPBCI object, NULL on failure.

Definition at line 226 of file MMFF/Params.h.

## Member Data Documentation

## d_params

std::vector<MMFFPBCI> ForceFields::MMFF::MMFFPBCICollection::d_params

the parameter vector

Definition at line 242 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h